## openstack-trove 18.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
netaddr>=0.7.18 # BSD
httplib2>=0.9.1 # MIT
lxml!=3.7.0,>=3.4.1 # BSD
passlib>=1.7.0 # BSD
python-heatclient>=1.10.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
jsonschema>=3.2.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=4.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=3.40.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
PyMySQL>=0.7.6 # MIT License
stevedore>=1.20.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
xmltodict>=0.10.1 # MIT
cryptography>=2.1.4  # BSD/Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
diskimage-builder!=1.6.0,!=1.7.0,!=1.7.1,>=1.1.2 # Apache-2.0
docker>=4.2.0 # Apache-2.0
psycopg2-binary>=2.6.2 # LGPL/ZPL
semantic-version>=2.7.0 # BSD
oslo.cache>=1.26.0 # Apache-2.0

=== debian/changelog ===
openstack-trove (1:18.0.0-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 15:18:38 +0200

openstack-trove (1:18.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 11:11:43 +0200

openstack-trove (1:18.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:04:59 +0200

openstack-trove (1:18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-importing-from-collections.patch applied upstream.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 15:14:43 +0200

openstack-trove (1:17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:52:30 +0200

openstack-trove (1:17.0.0~rc2-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream RC release.
  * Remove autopkgtest which is failing.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2022 10:54:07 +0200

openstack-trove (1:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Add fix-importing-from-collections.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 22:06:24 +0100

openstack-trove (1:16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 21:58:20 +0200

openstack-trove (1:16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:22:48 +0200

openstack-trove (1:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 11:37:53 +0200

openstack-trove (1:15.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:29:45 +0200

openstack-trove (1:15.0.0-2) experimental; urgency=medium

  * Do not call "pkgos_write_new_conf trove trove-guestagent.conf".

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Apr 2021 20:51:17 +0200

openstack-trove (1:15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 17:48:47 +0200

openstack-trove (1:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fix generating config file and policy file at build time.
  * Removed now useless fix-default-sql_connection-directive.patch.
  * Removed use-realpath-function-to-find-my.cnf-in-debian.patch.
  * Removed trove-common.install.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 15:23:46 +0100

openstack-trove (1:13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:24:31 +0200

openstack-trove (1:13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 02:22:34 +0200

openstack-trove (1:13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 18:40:51 +0200

openstack-trove (1:12.0.0-3) unstable; urgency=medium

  * Fix postinst to not fail on non existing configs
  * trove-{conductor,taskmanager} now using common config
    trove.conf as it was changed in upstream

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 24 Feb 2020 14:27:36 +0100

openstack-trove (1:12.0.0-2) unstable; urgency=medium

  * Rebuild with close bug. (Closes: #895640)

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 17 Feb 2020 13:39:11 +0100

openstack-trove (1:12.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Michal Arbet ]
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 14 Feb 2020 11:38:32 +0100

openstack-trove (1:11.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Removed versions of packages when satisfied in Buster.
  * Removed Breaks+Replaces: python-trove, after Buster is released.
  * Added oslo.upgradecheck as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Mar 2019 10:58:45 +0100

openstack-trove (1:10.0.0-3) unstable; urgency=medium

  * Call pkgos_rabbit_write_conf only once (Closes: #902023).

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Sep 2018 23:18:18 +0200

openstack-trove (1:10.0.0-2) unstable; urgency=medium

  * Also install db migration script correctly.

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Sep 2018 23:00:30 +0200

openstack-trove (1:10.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Fixed startup description.
  * New upstream release:
    - Fixes FTBFS: test failures (Closes: #895640).
  * Fixed (build-)depends for this release.
  * Removed Fix_guestagent.test_operating_system_for_Python3.patch applied
    upstream, refresh other patches.
  * d/rules: rm -rf $(CURDIR)/debian/tmp/usr/etc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 May 2018 17:07:44 +0200

=== debian/control ===
Source: openstack-trove
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 iproute2,
 net-tools,
 python3-cassandra,
 python3-cinderclient,
 python3-coverage,
 python3-cryptography,
 python3-designateclient,
 python3-diskimage-builder,
 python3-docker,
 python3-eventlet,
 python3-glanceclient,
 python3-hacking,
 python3-heatclient,
 python3-httplib2,
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-mock,
 python3-netaddr,
 python3-neutronclient,
 python3-nose,
 python3-nosexcover,
 python3-novaclient,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-passlib,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-pexpect,
 python3-proboscis,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-redis,
 python3-routes,
 python3-semantic-version,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-testtools,
 python3-troveclient,
 python3-webob,
 python3-webtest,
 python3-wsgi-intercept,
 python3-xmltodict,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/openstack-trove
Vcs-Git: https://salsa.debian.org/openstack-team/services/openstack-trove.git
Homepage: https://github.com/openstack/trove

Package: python3-trove
Architecture: all
Section: python
Depends:
 e2fsprogs,
 python3-cinderclient,
 python3-cryptography,
 python3-designateclient,
 python3-diskimage-builder,
 python3-docker,
 python3-eventlet,
 python3-glanceclient,
 python3-heatclient,
 python3-httplib2,
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-osprofiler,
 python3-passlib,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pexpect,
 python3-pymysql,
 python3-routes,
 python3-semantic-version,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-troveclient,
 python3-webob,
 python3-xmltodict,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Description: Database as a Service for OpenStack - Python lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python library.

Package: trove-api
Architecture: all
Depends:
 adduser,
 lsb-base,
 python3-openstackclient,
 q-text-as-data,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - API server
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove API server. The trove-api service provides a
 RESTful API that supports JSON and XML to provision and manage Trove
 instances.

Package: trove-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-trove (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - common files
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove common files.

Package: trove-conductor
Architecture: all
Depends:
 adduser,
 lsb-base,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - conductor
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove conductor.

Package: trove-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Database as a Service for OpenStack - doc
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove documentations.

Package: trove-guestagent
Architecture: all
Depends:
 adduser,
 lsb-base,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - guest agent
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove guest agent. The guestagent is a service that
 runs within the guest instance, responsible for managing and performing
 operations on the Database itself. The Guest Agent listens for RPC messages
 through the message bus and performs the requested operation.

Package: trove-taskmanager
Architecture: all
Depends:
 adduser,
 lsb-base,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - taskmanager
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove taskmanager. The trove-taskmanager service
 does the heavy lifting as far as provisioning instances, managing the
 lifecycle of instances, and performing operations on the Database instance.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/trove.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/trove-common.postinst
	rm -f debian/trove-common.config
	rm -f debian/trove-api.postinst
	rm -f debian/trove-api.config
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.config
	pkgos-merge-templates trove-api trove endpoint
	pkgos-merge-templates trove-common trove db rabbit ksat

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/trove-doc/usr/share/doc/trove-doc/html
	dh_sphinxdoc
endif

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	find $(CURDIR) -name trove_test.sqlite -delete
	pkgos-dh_auto_test --no-py2 --serial 'trove\.tests\.unittests\.(?!(.*backup\.test_backup_models\.BackupCreateTest\.test_create_backup_cluster_instance_operation_not_supported.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create_instance_not_active.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create_instance_not_found.*|.*mgmt\.test_datastores\.TestDatastoreVersion\.test_version_create.*|.*guestagent\.test_redis_manager\.RedisGuestAgentManagerTest.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_failed_due_to_pre_restore.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_failed_due_to_run_restore.*|.*guestagent\.test_backups\.MongodbRestoreTests\.test_restore_success.*|.*backup\.test_backup_models\.BackupCreateTest\.test_create.*|.*backup\.test_backup_models\.BackupDeleteTest\.test_delete.*))'
endif
	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing

	mkdir -p $(CURDIR)/debian/trove-common/usr/share/trove-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file=$(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf \
		--wrap-width 140 \
		--namespace trove.config \
		--namespace oslo.messaging \
		--namespace oslo.log \
		--namespace oslo.policy

	install -D -m 0664 $(CURDIR)/etc/trove/api-paste.ini $(CURDIR)/debian/trove-common/usr/share/trove-common/api-paste.ini

	mkdir -p $(CURDIR)/debian/trove-common/etc/trove/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/trove-common/etc/trove/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace trove
override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## openstack-trove 18.0.1

=== debian/changelog ===
openstack-trove (1:18.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 13:27:19 +0000

## openstack-trove 19.0.0

=== debian/changelog ===
openstack-trove (2:19.0.0-0ubuntu5) lunar; urgency=medium

  * d/t/trove-daemons: Drop verbose bash commands and restore lower sleep
    length. It appears verbose bash commands are causing the test to fail.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 18 Apr 2023 08:20:26 -0400

openstack-trove (2:19.0.0-0ubuntu4) lunar; urgency=medium

  * d/t/trove-daemons: Restore stdout/stderr redirections for db_sync as
    the tests appear to fail only due to the output.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Apr 2023 08:43:35 -0400

openstack-trove (2:19.0.0-0ubuntu3) lunar; urgency=medium

  * d/p/use-getfullargspec.patch: Restore patch to fix trove-manage db sync
    failure with getargspec (LP: #2003974).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 10 Apr 2023 09:08:32 -0400

openstack-trove (2:19.0.0-0ubuntu2) lunar; urgency=medium

  * d/t/trove-daemons: Expose stderr for db_sync and retry a second time
    on failure.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Mar 2023 09:46:14 -0400

openstack-trove (2:19.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:17:12 -0400

openstack-trove (2:18.0.0+git2023030309.2fbbb09d-0ubuntu3) lunar; urgency=medium

  * d/t/trove-daemons: Run autopkgtest with verbose commands.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Mar 2023 08:44:14 -0400

openstack-trove (2:18.0.0+git2023030309.2fbbb09d-0ubuntu2) lunar; urgency=medium

  * d/t/trove-daemons: Bump sleep to 0.5

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Mar 2023 10:07:17 -0400

openstack-trove (2:18.0.0+git2023030309.2fbbb09d-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:45:34 -0500

openstack-trove (2:18.0.0+git2023011209.1d8231d3-0ubuntu2) lunar; urgency=medium

  * Fix test failures with Python 3.11 (LP: #2003974).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 30 Jan 2023 12:50:17 -0600

openstack-trove (2:18.0.0+git2023011209.1d8231d3-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 09:21:38 -0500

openstack-trove (2:18.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 18.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:40:35 -0400

openstack-trove (2:17.0.0+git2022091213.6e4dd51c-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:48:11 -0400

openstack-trove (2:17.0.0+git2022071414.13db5b37-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:48:17 -0400

openstack-trove (2:17.0.0+git2022060610.b36d0b23-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.
  * d/p/switch-to-collections-abc-mapping.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:24:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,152 +1,167 @@
 Source: openstack-trove
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 123~),
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  bandit,
  iproute2,
  net-tools,
- python3-cassandra,
- python3-cinderclient,
- python3-coverage,
- python3-cryptography,
- python3-designateclient,
- python3-diskimage-builder,
- python3-docker,
- python3-eventlet,
- python3-glanceclient,
+ python3-astroid (>= 1.6.5),
+ python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
+ python3-cassandra (>= 2.1.4),
+ python3-cinderclient (>= 1:3.3.0),
+ python3-coverage (>= 4.0),
+ python3-cryptography (>= 2.1.4),
+ python3-designateclient (>= 2.7.0),
+ python3-diskimage-builder (>= 1.1.2),
+ python3-doc8,
+ python3-docker (>= 4.2.0),
+ python3-eventlet (>= 0.18.2),
+ python3-glanceclient (>= 1:2.8.0),
  python3-hacking,
- python3-heatclient,
- python3-httplib2,
- python3-iso8601,
- python3-jinja2,
- python3-jsonschema,
- python3-keystoneclient,
- python3-keystonemiddleware,
- python3-lxml,
- python3-migrate,
- python3-mock,
- python3-netaddr,
- python3-neutronclient,
- python3-nose,
- python3-nosexcover,
- python3-novaclient,
- python3-openstack.nose-plugin,
- python3-openstackdocstheme,
- python3-os-api-ref,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.middleware,
+ python3-heatclient (>= 1.10.0),
+ python3-httplib2 (>= 0.9.1),
+ python3-iso8601 (>= 0.1.11),
+ python3-jinja2 (>= 2.10),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-lxml (>= 3.4.1),
+ python3-migrate (>= 0.11.0),
+ python3-mock (>= 2.0.0),
+ python3-mox3 (>= 0.20.0),
+ python3-netaddr (>= 0.7.18),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-nose (>= 1.3.7),
+ python3-nosexcover (>= 1.0.10),
+ python3-novaclient (>= 2:9.1.0),
+ python3-openstack.nose-plugin (>= 0.7),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-api-ref (>= 1.4.0),
+ python3-os-testr (>= 1.0.0),
+ python3-oslo.cache (>= 1.26.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:6.8.0),
+ python3-oslo.context (>= 1:4.0.0),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.6.0),
- python3-oslo.serialization,
- python3-oslo.service,
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
- python3-oslotest,
- python3-osprofiler,
- python3-passlib,
- python3-paste,
- python3-pastedeploy,
+ python3-oslo.utils (>= 3.40.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-passlib (>= 1.7.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
  python3-pep8,
- python3-pexpect,
- python3-proboscis,
- python3-psycopg2,
- python3-pymongo,
- python3-pymysql,
- python3-redis,
- python3-routes,
- python3-semantic-version,
- python3-sqlalchemy,
- python3-stestr,
- python3-stevedore,
- python3-swiftclient,
- python3-tenacity,
- python3-testtools,
- python3-troveclient,
- python3-webob,
- python3-webtest,
- python3-wsgi-intercept,
- python3-xmltodict,
+ python3-pexpect (>= 3.1),
+ python3-proboscis (>= 1.2.5.3),
+ python3-psycopg2 (>= 2.6.2),
+ python3-pymongo (>= 3.0.2),
+ python3-pymysql (>= 0.7.6),
+ python3-redis (>= 2.10.0),
+ python3-routes (>= 2.3.1),
+ python3-semantic-version (>= 2.7.0),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stestr (>= 1.1.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-swiftclient (>= 1:3.2.0),
+ python3-tenacity (>= 4.9.0),
+ python3-testtools (>= 2.2.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-webob (>= 1:1.7.1),
+ python3-webtest (>= 2.0.27),
+ python3-wsgi-intercept (>= 1.4.1),
+ python3-xmltodict (>= 0.10.1),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/openstack-trove
-Vcs-Git: https://salsa.debian.org/openstack-team/services/openstack-trove.git
-Homepage: https://github.com/openstack/trove
+ testrepository,
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/openstack-trove
+Homepage: https://opendev.org/openstack/trove
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-trove
 Architecture: all
 Section: python
 Depends:
  e2fsprogs,
- python3-cinderclient,
- python3-cryptography,
- python3-designateclient,
- python3-diskimage-builder,
- python3-docker,
- python3-eventlet,
- python3-glanceclient,
- python3-heatclient,
- python3-httplib2,
- python3-iso8601,
- python3-jinja2,
- python3-jsonschema,
- python3-keystoneclient,
- python3-keystonemiddleware,
- python3-lxml,
- python3-migrate,
- python3-netaddr,
- python3-neutronclient,
- python3-novaclient,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.middleware,
+ python3-babel (>= 2.3.4),
+ python3-cinderclient (>= 1:3.3.0),
+ python3-cryptography (>= 2.1.4),
+ python3-designateclient (>= 2.7.0),
+ python3-diskimage-builder (>= 1.1.2),
+ python3-docker (>= 4.2.0),
+ python3-eventlet (>= 0.18.2),
+ python3-glanceclient (>= 1:2.8.0),
+ python3-heatclient (>= 1.10.0),
+ python3-httplib2 (>= 0.9.1),
+ python3-iso8601 (>= 0.1.11),
+ python3-jinja2 (>= 2.10),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-lxml (>= 3.4.1),
+ python3-migrate (>= 0.11.0),
+ python3-netaddr (>= 0.7.18),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:9.1.0),
+ python3-openstackclient,
+ python3-oslo.cache (>= 1.26.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:6.8.0),
+ python3-oslo.context (>= 1:4.0.0),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.6.0),
- python3-oslo.serialization,
- python3-oslo.service,
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
- python3-osprofiler,
- python3-passlib,
- python3-paste,
- python3-pastedeploy,
- python3-pbr,
- python3-pexpect,
- python3-pymysql,
- python3-routes,
- python3-semantic-version,
- python3-sqlalchemy,
- python3-stevedore,
- python3-swiftclient,
- python3-troveclient,
- python3-webob,
- python3-xmltodict,
+ python3-oslo.utils (>= 3.40.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-passlib (>= 1.7.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
+ python3-pbr (>= 2.0.0),
+ python3-pexpect (>= 3.1),
+ python3-psycopg2 (>= 2.6.2),
+ python3-pymysql (>= 0.7.6),
+ python3-routes (>= 2.3.1),
+ python3-semantic-version (>= 2.7.0),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-swiftclient (>= 1:3.2.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-webob (>= 1:1.7.1),
+ python3-xmltodict (>= 0.10.1),
  ${misc:Depends},
  ${python3:Depends},
 Conflicts:
  python3-cjson,
-Description: Database as a Service for OpenStack - Python lib
+Description: Database as a Service for OpenStack - Python 3 lib
  Trove is "Database as a Service" for Openstack. It's designed to allow users
  to quickly and easily utilize the features of a relational database without
  the burden of handling complex administrative tasks.
@@ -159,18 +174,16 @@
  Nova is configured, since Trove interacts with other OpenStack components
  purely through the API.
  .
- This package provides the Trove Python library.
+ This package provides the Trove Python 3 library.
 
 Package: trove-api
 Architecture: all
 Depends:
  adduser,
  lsb-base,
- python3-openstackclient,
  q-text-as-data,
  trove-common (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
 Description: Database as a Service for OpenStack - API server
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -196,7 +209,6 @@
  python3-trove (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
- ${python3:Depends},
 Description: Database as a Service for OpenStack - common files
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -219,7 +231,6 @@
  lsb-base,
  trove-common (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
 Description: Database as a Service for OpenStack - conductor
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -263,7 +274,6 @@
  lsb-base,
  trove-common (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
 Description: Database as a Service for OpenStack - guest agent
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -289,7 +299,6 @@
  lsb-base,
  trove-common (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
 Description: Database as a Service for OpenStack - taskmanager
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -298,11 +307,3 @@
  and manage multiple database instances as needed. Initially, the service will
  focus on providing resource isolation at high performance while automating
  complex administrative tasks including deployment, configuration, patching,
- backups, restores, and monitoring. Trove is designed to support a
- single-tenant database within a Nova instance. There is no restrictions on how
- Nova is configured, since Trove interacts with other OpenStack components
- purely through the API.
- .
- This package provides the Trove taskmanager. The trove-taskmanager service
- does the heavy lifting as far as provisioning instances, managing the
- lifecycle of instances, and performing operations on the Database instance.
